﻿-- Mangos-DungeonBrowser BossDB
-- Code by Kenuvis
-- Last Update: 10.02.2011

MDB.DB = {
[1] = {3672, 5768, 3671,  3670, 3673, 3678, 5767},
[202] = {23953, 23980, 24201, 24200},
[242] = {23953, 23980, 24201, 24200},
}

for id,boss in pairs(MDB.DB) do
	MDB.DB[id] = {}
	for ID,NPC in pairs(boss) do
		table.insert(MDB.DB[id], {	bossID = ID,
									isKilled = false,
									name = NPC})
	end
end

function MDB_Prototype:GetEncounter(EncounterNumber)
	if not EncounterNumber then
		if not MDB.DB[self.id] then
			return 0, 0
		else
			local count = #MDB.DB[self.id]
			local complete = 0
			for a = 1, count do
				if MDB.DB[self.id][a].isKilled then
					complete = complete + 1
				end
			end

			return count, complete
		end

	else
		if not MDB.DB[self.id] or MDB.DB[self.id][EncounterNumber] then
			return "", false
		else
			local name = MDB.DB[self.id][EncounterNumber].name
			local isKilled = MDB.DB[self.id][EncounterNumber].isKilled

			return name, isKilled
		end
	end
end