﻿-- Mangos-DungeonBrowser Debug
-- Code by Kenuvis
-- Last Update: 06.02.2011

local debug = false
local softdebug = true

function debugprint(msg)
	if debug then
		if type(msg) ~= "table" then
			if softdebug and type(msg) == "string" and string.sub(msg, 1, 1) == "#" then
				return
			end
			print(msg)
		else
			table.foreach(msg, print)
		end
	end
end

function MDB_IsDebug()
	return debug
end

SLASH_MDB1 = "/mdb"
SlashCmdList["MDB"] = function(msg)
	msg = string.lower(msg)
	if msg == "dungeons" then
		print("Ausgewählte Dungeons")
		for id,dungeon in pairs(MDB.Dungeons) do
			if id == MDB.ActiveDungeon then
				print("> "..dungeon.id..", "..dungeon.name)
			else
				print("- "..dungeon.id..", "..dungeon.name)
			end
		end
	elseif msg == "activedungeon" or msg == "active" then
		if not MDB.ActiveDungeonID or MDB.ActiveDungeonID == 0 then
			print("Keine aktive Dungeon")
		else
			local d = MDB.Dungeons[MDB.ActiveDungeonID]
			print(d.id..", "..d.name)
		end
	elseif string.sub(msg,1,6) == "player" then
		if not tonumber(string.sub(msg,7,10)) then
			print("Bitte DungeonID eingeben")
		else
			local d = MDB.Dungeons[tonumber(string.sub(msg,7,10))]
			if not d then return print("0 Spieler gesamt (Dungeon nicht ausgewählt)") end
			print(d:GetPlayerCount().." Spieler gesamt für "..d.name)
			for name in pairs(d.Player) do
				print("- "..name)
			end
		end
	elseif string.sub(msg,1,6) == "status" then
		if not tonumber(string.sub(msg,7,10)) then
			print("Bitte DungeonID eingeben")
		else
			local d = MDB.Dungeons[tonumber(string.sub(msg,7,10))]
			if not d then return print("kein Status (Dungeon nicht ausgewählt)") end
			print(d.name..": "..d.Status)
		end
	end
end