-- MangosDungeonBrowser ServerSetting
-- Code by Kenuvis
-- Last Update: 24.03.2011

--[[
Diese Datei sollte/muss von der Administrative des Servers
eingesehen und eingestellt werden, bevor das Addon auf dem
Server freigegeben wird.
]]
MDB = {}

--[[
Allgemeiner An-/Ausschalter. Ausgeschaltet sind alle Dungeons
blockiert. (true/false)
]]
MDB.Enable = true

--[[
Damit alle auf dem Server die gleichen Einstellung bzw. den
gleichen Aktuallisationsgrad besitzen.
]]
MDB.SettingVersion = 2

--[[
Damit nicht ausversehen Einstellungen von fremden Servern
einzug halten.
]]
MDB.Server = "OrangeVirus"

--[[
Der globale Channel (nurnoch durch Fraktionen getrennt), welcher fr
den Dungeonbrowser genutzt wird, da Blizzard seinem Addonchannel so-
etwas nicht gestattet. Der channel ist fr den Nutzer komplett unsichtbar.
("-" ist im Channelnamen nicht gestattet),
Passwort ist optional (nil oder "passwort") und wird nicht richtig vom
Server untersttzt
]]
MDB.Channel = "mdb"
MDB.ChannelPassword = "mdbpassword"

--[[ 
Dauer des Invites der 5 Spieler. Schnellere Server mit weniger Auslastung 
knnen das ein bisschen runterstellen, aber ein paar Testlufe werde dringenst
empfohlen. (in Sekunden) Weniger als 2 Sekunden wrde ich nur bei Localhost 
empfehlen.
]]
MDB.InvSpeed = 3

--[[
Spieler, die von dem System ausgeschlossen werden.
z.B.: MDB.IgnorePlayer = {"Kazza", "Adam", "Eva"}
Desweiteren die Einstellung, ob die persnliche Ignoreliste des Spielers
mit beachtet werden soll. (true/false)
]]
MDB.IgnorePlayer = {}
MDB.IgnoreList = false


--[[
Hier sind alle Dungeons aufgelistet die aus diversten Gründen
gesperrt sind, sprich nicht zugänglich. Sei es wegen der fehlenden
Funktionalität der Bosse oder was auch immer. Ist eine Dungeon offen
so kann man einfach die dazu gehörige Zeile löschen.
]]
MDB.LockList = {
[194] = 1,	--Höhle des Schlangenschreins
[195] = 1,	--Hyjal der Vergangenheit
[199] = 1,	--Der Sonnenbrunnen
[201] = 1,	--Terrasse der Magister
[203] = 1,	--Turm Utgarde
[205] = 1,	--Turm Utgarde
[206] = 1,	--Das Oculus
[208] = 1,	--Die Hallen des Steins
[211] = 1,	--Das Oculus
[213] = 1,	--Die Hallen des Steins
[223] = 1,	--Das Auge der Ewigkeit
[237] = 1,	--Das Auge der Ewigkeit
[239] = 1,	--Archavons Kammer
[240] = 1,	--Archavons Kammer
[243] = 1,	--Ulduar
[244] = 1,	--Ulduar
[245] = 1,	--Prüfung des Champions
[246] = 1,	--Prüfung des Kreuzfahrers
[247] = 1,	--Prüfung des Obersten Kreuzfahrers
[248] = 1,	--Prüfung des Kreuzfahrers
[249] = 1,	--Prüfung des Champions
[250] = 1,	--Prüfung des Obersten Kreuzfahrers
[251] = 1,	--Die Seelenschmiede
[252] = 1,	--Die Seelenschmiede
[253] = 1,	--Grube von Saron
[254] = 1,	--Grube von Saron
[255] = 1,	--Die Hallen der Reflexion
[256] = 1,	--Die Hallen der Reflexion
[257] = 1,	--Onyxias Hort
[279] = 1,	--Eiskronenzitadelle
[280] = 1,	--Eiskronenzitadelle
[285] = 1,	--Der Kopflose Reiter
[286] = 1,	--Frostfürst Ahune
[287] = 1,	--Coren Düsterbräu
[288] = 1,	--Chemiemanufaktur Krone
[293] = 1,	--Rubinsanktum
[294] = 1	--Rubinsanktum
}

-- Nicht Löschen!
if MDB.Server ~= GetRealmName() then MDB.Enable = false end
for name in ipairs(MDB.IgnorePlayer) do MDB.IgnorePlayer[name] = 1 end
